%define api       2.2
%define major     0
%define libname   %mklibname %{name} %{api} %{major}
%define develname %mklibname %{name} -d

Name:		mjpegtools
Version:	2.2.1
Release:	%mkrel 3
Summary:	Tools for recording, editing, playing back and mpeg-encoding video under linux
License:	GPLv2+
Group:		Video/Utilities
Url:		https://mjpeg.sourceforge.net/
Source0:	https://downloads.sourceforge.net/mjpeg/%{name}-%{version}.tar.gz
Patch1:		mjpegtools-use-grep-F-instead-of-deprecated-fgrep.patch
Patch4:		mjpegtools-1.9.0-link.patch
Patch5:		mjpegtools-fix-build-with-gcc15.patch
BuildRequires:	autoconf
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(SDL_gfx)
BuildRequires:	pkgconfig(xxf86dga)
BuildRequires:	pkgconfig(libquicktime)
BuildRequires:	nasm
BuildRequires:	pkgconfig(libdv) >= 0.99
BuildRequires:	pkgconfig(libpulse)

%description
The MJPEG-tools are a basic set of utilities for recording, editing, 
playing back and encoding (to mpeg) video under linux. Recording can
be done with zoran-based MJPEG-boards (LML33, Iomega Buz, Pinnacle
DC10(+), Marvel G200/G400), these can also playback video using the
hardware. With the rest of the tools, this video can be edited and
encoded into mpeg1/2 or divx video.

%package -n	%{libname}
Summary:	Main library for %{name}
Group:		System/Libraries
Provides:	libmjpegtools = %{version}-%{release}

%description -n	%{libname}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n	%{develname}
Summary:	Headers for developing programs that will use %{name}
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%prep
%setup -q
%patch -P 1 -p1
#%%patch -P 4 -p0
%patch -P 5 -p1

%build
# build i686/mmx dynamic library
%ifarch %{ix86}
mkdir build-i686
pushd build-i686
CONFIGURE_TOP=.. %configure \
  --enable-simd-accel \
  --without-v4l \
  --disable-static
%__make
popd
%endif
# build regular package

%if "%{_target_cpu}" == "i686"
%else
mkdir build-%{_target_cpu}
%endif

pushd build-%{_target_cpu}
CONFIGURE_TOP=.. %configure \
  --disable-simd-accel \
  --without-v4l \
  --disable-static
%__make
popd

%install
%ifarch %{ix86}
pushd build-i686
%make_install
popd
mkdir -p %{buildroot}/%{_libdir}/sse2
mv %{buildroot}/%{_libdir}/*.so.* %{buildroot}/%{_libdir}/sse2
%endif
pushd build-%{_target_cpu}
%make_install
popd

find %{buildroot} -name '*.la' -delete

cp mpeg2enc/mpeg2syntaxcodes.h %{buildroot}%{_includedir}/mjpegtools/

%files
%doc AUTHORS BUGS ChangeLog CHANGES HINTS NEWS PLANS README* TODO
%license COPYING
%{_bindir}/*
%{_mandir}/man1/*
%{_infodir}/mjpeg-howto.info*

%files -n %{libname}
%doc AUTHORS
%license COPYING
%{_libdir}/lib*-%{api}.so.%{major}{,.*}
%ifarch %{ix86}
%{_libdir}/sse2/lib*-%{api}.so.%{major}{,.*}
%endif

%files -n %{develname}
%doc AUTHORS
%license COPYING
%{_includedir}/mjpegtools/
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.so
%{_mandir}/man5/yuv4mpeg.5*


%changelog
* Tue May 20 2025 ns80 <ns80> 2.2.1-3.mga10
+ Revision: 2185167
- add an upstream patch to try to fix building with GCC 15

* Sun Dec 22 2024 pterjan <pterjan> 2.2.1-2.mga10
+ Revision: 2127848
- Rebuild for patchN deprecation

* Sat May 06 2023 daviddavid <daviddavid> 2.2.1-1.mga9
+ Revision: 1955971
- new version: 2.2.1 (after about 10 years)
- now lib api is 2.2
- add patch to use `grep -F` instead of deprecated `fgrep` for lav2avi.sh

* Fri Apr 01 2022 umeabot <umeabot> 2.1.0-7.mga9
+ Revision: 1839864
- Mageia 9 Mass Rebuild

* Thu Aug 20 2020 ovitters <ovitters> 2.1.0-6.mga8
+ Revision: 1616660
- remove install-info scriptlets, rely on filetrigger instead (mga#27107)

* Fri Feb 14 2020 umeabot <umeabot> 2.1.0-5.mga8
+ Revision: 1521724
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Dec 30 2018 luigiwalser <luigiwalser> 2.1.0-4.mga7
+ Revision: 1346662
- rebuild for SDL_gfx

* Sun Sep 23 2018 umeabot <umeabot> 2.1.0-3.mga7
+ Revision: 1299564
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use new make macros

* Wed Mar 01 2017 ghibo <ghibo> 2.1.0-2.mga6
+ Revision: 1088240
- Rebuilt against pulseaudio 10

* Mon Feb 15 2016 luigiwalser <luigiwalser> 2.1.0-1.mga6
+ Revision: 961501
- 2.1.0
- api is now 2.1
- rediff patch 0
- remove upstreamed patch 2

* Mon Feb 15 2016 umeabot <umeabot> 2.0.0-16.mga6
+ Revision: 961495
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.0.0-15.mga5
+ Revision: 746754
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2.0.0-14.mga5
+ Revision: 727325
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 2.0.0-13.mga5
+ Revision: 682537
- Mageia 5 Mass Rebuild

* Sat Feb 15 2014 luigiwalser <luigiwalser> 2.0.0-12.mga5
+ Revision: 591736
- rebuild for SDL_gfx

* Sat Oct 19 2013 umeabot <umeabot> 2.0.0-11.mga4
+ Revision: 526172
- Mageia 4 Mass Rebuild

* Mon Jun 03 2013 fwang <fwang> 2.0.0-10.mga4
+ Revision: 436015
- rebuild for new libpng

* Sat Jan 12 2013 umeabot <umeabot> 2.0.0-9.mga3
+ Revision: 360118
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 11 2013 fwang <fwang> 2.0.0-8.mga3
+ Revision: 345457
- rebuild for new SDL_gfx

* Wed Sep 14 2011 fwang <fwang> 2.0.0-7.mga2
+ Revision: 143196
- drop .la files

* Wed Sep 14 2011 fwang <fwang> 2.0.0-6.mga2
+ Revision: 143195
- rebuild for new libpng
- fix mplex header (from upstream)

* Mon Jul 18 2011 fwang <fwang> 2.0.0-4.mga2
+ Revision: 125817
- add provides

* Mon Jul 18 2011 fwang <fwang> 2.0.0-3.mga2
+ Revision: 125805
- new version 2.0.0 (synched with mandriva)
- rebuild for new dfb

* Sat Feb 05 2011 ahmad <ahmad> 1.9.0-10.mga1
+ Revision: 47267
- drop old/unneeded scriptlets
- imported package mjpegtools


* Fri Dec 17 2010 Funda Wang <fwang@mandriva.org> 1.9.0-9mdv2011.0
+ Revision: 622484
- rebuild for new directfb

* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 1.9.0-8mdv2011.0
+ Revision: 606647
- rebuild

* Wed Feb 03 2010 Thierry Vignaud <tv@mandriva.org> 1.9.0-7mdv2010.1
+ Revision: 500387
- typo fix in summary (Dimitrios Glentadakis)

* Mon Jan 25 2010 Oden Eriksson <oeriksson@mandriva.com> 1.9.0-6mdv2010.1
+ Revision: 496056
- fix #55450 (jpeg2yuv segfaults with libjpeg7)

* Sun Jan 10 2010 Oden Eriksson <oeriksson@mandriva.com> 1.9.0-5mdv2010.1
+ Revision: 488788
- rebuilt against libjpeg v8

* Sun Nov 08 2009 Funda Wang <fwang@mandriva.org> 1.9.0-4mdv2010.1
+ Revision: 463087
- rebuild for new dfb

* Sun Sep 27 2009 Funda Wang <fwang@mandriva.org> 1.9.0-3mdv2010.0
+ Revision: 449968
- rebuild for new SDL_gfx

* Sat Aug 15 2009 Oden Eriksson <oeriksson@mandriva.com> 1.9.0-2mdv2010.0
+ Revision: 416628
- rebuilt against libjpeg v7

* Tue Jan 06 2009 Götz Waschk <waschk@mandriva.org> 1.9.0-1mdv2009.1
+ Revision: 325574
- new version
- fix format strings
- drop patch 3
- call libtoolize
- remove old configure options

* Mon Dec 08 2008 Götz Waschk <waschk@mandriva.org> 1.9.0-0.rc4.1mdv2009.1
+ Revision: 311863
- new version
- drop patch 4
- fix build

* Mon Jun 09 2008 Pixel <pixel@mandriva.com> 1.9.0-0.rc3.3mdv2009.1
+ Revision: 217193
- do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Fri May 30 2008 Funda Wang <fwang@mandriva.org> 1.9.0-0.rc3.3mdv2009.0
+ Revision: 213563
- disable no_undefined, otherwise it will fail itself
- drop old conditions
- add gentoo patch for gcc 4.3

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Dec 05 2007 Götz Waschk <waschk@mandriva.org> 1.9.0-0.rc3.1mdv2008.1
+ Revision: 115622
- new version

* Wed Sep 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.9.0-0.rc2.4mdv2008.1
+ Revision: 89943
- rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - s/Mandrake/Mandriva/

  + Götz Waschk <waschk@mandriva.org>
    - remove obsolete patch

* Wed Jun 06 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 1.9.0-0.rc2.3mdv2008.0
+ Revision: 36104
- Rebuild with libslang2.

* Tue May 22 2007 Götz Waschk <waschk@mandriva.org> 1.9.0-0.rc2.2mdv2008.0
+ Revision: 29632
- rebuild

* Wed Apr 18 2007 Götz Waschk <waschk@mandriva.org> 1.9.0-0.rc2.1mdv2008.0
+ Revision: 14732
- new version
- new major
- drop patch 1
- patch 2: fix build on x86_64


* Mon Jun 19 2006 Götz Waschk <waschk@mandriva.org> 1.8.0-4mdv2007.0
- build with -fpermissive

* Mon Apr 03 2006 Götz Waschk <waschk@mandriva.org> 1.8.0-3mdk
- move optimized i686 libs to sse2 dir

* Wed Mar 08 2006 Götz Waschk <waschk@mandriva.org> 1.8.0-2mdk
- patch to make it build with new libquicktime

* Tue Oct 04 2005 Götz Waschk <waschk@mandriva.org> 1.8.0-1mdk
- new version

* Mon Sep 05 2005 Götz Waschk <waschk@mandriva.org> 1.6.3-0.rc3.3mdk
- rebuild trying to fix #18242

* Sun Aug 28 2005 Götz Waschk <waschk@mandriva.org> 1.6.3-0.rc3.2mdk
- reenable fortify

* Sat Aug 27 2005 Götz Waschk <waschk@mandriva.org> 1.6.3-0.rc3.1mdk
- disable fortify to make it build
- new version

* Fri Aug 12 2005 Götz Waschk <waschk@mandriva.org> 1.6.3-0.rc2.1mdk
- new major
- new version

* Thu May 26 2005 Götz Waschk <waschk@mandriva.org> 1.6.3-0.rc1.2mdk
- add missing header

* Tue May 24 2005 Götz Waschk <waschk@mandriva.org> 1.6.3-0.rc1.1mdk
- mkrel
- update file list
- fix optimization flags
- fix buildrequires
- drop patches 1,2,4,5
- new version

* Wed Feb 09 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.6.2-10mdk
- lib64 / multiarch

* Sun Jan 30 2005 Austin Acton <austin@mandrake.org> 1.6.2-9mdk
- patch for new quicktime

* Fri Nov 12 2004 Götz Waschk <waschk@linux-mandrake.com> 1.6.2-8mdk
- drop 9.0 support

* Tue Jun 29 2004 Austin Acton <austin@mandrake.org> 1.6.2-7mdk
- from Marc Koschewski <marc@osknowledge.org> :
  - fix i686 build

* Tue Jun 15 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.6.2-6mdk
- buildrequires
- reenable libtoolize
- no .bz2 ending of man pages in %%files list
- cosmetics

* Mon Jun 14 2004 Götz Waschk <waschk@linux-mandrake.com> 1.6.2-5mdk
- fix cflags for i686
- patch for new g++

* Thu May 13 2004 Götz Waschk <waschk@linux-mandrake.com> 1.6.2-4mdk
- build with libquicktime

* Thu May 13 2004 Götz Waschk <waschk@linux-mandrake.com> 1.6.2-3mdk
- build static libs with -fPIC as they may be linked into a DSO

* Fri Apr 02 2004 Götz Waschk <waschk@linux-mandrake.com> 1.6.2-2mdk
- new libdv

* Fri Apr 02 2004 Götz Waschk <waschk@linux-mandrake.com> 1.6.2-1mdk
- new version

* Wed Mar 17 2004 Götz Waschk <waschk@linux-mandrake.com> 1.6.1.93-3mdk
- build with SDL for yuvplay

* Sun Jan 18 2004 Götz Waschk <waschk@linux-mandrake.com> 1.6.1.93-2mdk
- patch to add info dir entry

* Sat Jan 17 2004 Götz Waschk <waschk@linux-mandrake.com> 1.6.1.93-1mdk
- use mdkversion macro
- new version

* Thu Nov 27 2003 Götz Waschk <waschk@linux-mandrake.com> 1.6.1.92-1mdk
- new version

* Tue Nov 25 2003 Götz Waschk <waschk@linux-mandrake.com> 1.6.1.91-1mdk
- fix file list
- no parallel build, please 
- drop patch 4
- new version

* Wed Nov 05 2003 Götz Waschk <waschk@linux-mandrake.com> 1.6.1.90-2mdk
- fix buildrequires

* Tue Nov 04 2003 Götz Waschk <waschk@linux-mandrake.com> 1.6.1.90-1mdk
- rediff patch 3
- clean buildroot before installation
- add new files
- don't libtoolize
- patch4: fix illegal libtool version number
- use YV12 option
- drop patches 0,1,2
- don't require avifile anymore
- new version

* Sat Oct 25 2003 Stefan van der Eijk <stefan@eijk.nu> 1.6.1-11mdk
- BuildRequires

* Tue Oct 21 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.6.1-10mdk
- libtool fixes

* Tue Sep 02 2003 Götz Waschk <waschk@linux-mandrake.com> 1.6.1-9mdk
- fix buildrequires

* Mon Jul 21 2003 Götz Waschk <waschk@linux-mandrake.com> 1.6.1-8mdk
- patch2: disable werror to make it build
- patch1: fix avifile header location

* Wed Jul 09 2003 Götz Waschk <waschk@linux-mandrake.com> 1.6.1-7mdk
- autoconf2.5 macro for the non-686 version

